En las últimas versiones WordPress presenta una nueva funcionalidad llamada Salud del sitio la cual realiza un chequeo general del sitio, generando un informe con consejos y advertencias para poder mejorar el rendimiento, la escalabilidad y la seguridad del sitio y el servidor. En uno de los sitios el informe aconsejaba instalar el módulo de php imagick (ImageMagick). El servidor de alojamiento de este sitio usa CentOS 7 con php 7.3 para el cual instalé el repositorio de Remi Collet.

Para instalar el paquete php-pecl-imagick para php73 es necesario actualizar también el paquete de ImageMagick ya que el que viene con CentOS es antiguo e incompatible con php 7.3.

> yum install php-pecl-imagick        
(..)
Resolving Dependencies
--> Running transaction check
---> Package php-pecl-imagick.x86_64 0:3.4.4-2.el7.remi.7.3 will be installed
--> Processing Dependency: ImageMagick6-libs(x86-64) >= 6.9.10 for package: php-pecl-imagick-3.4.4-2.el7.remi.7.3.x86_64
--> Processing Dependency: libMagickCore-6.Q16.so.6()(64bit) for package: php-pecl-imagick-3.4.4-2.el7.remi.7.3.x86_64
--> Processing Dependency: libMagickWand-6.Q16.so.6()(64bit) for package: php-pecl-imagick-3.4.4-2.el7.remi.7.3.x86_64
--> Finished Dependency Resolution
Error: Package: php-pecl-imagick-3.4.4-2.el7.remi.7.3.x86_64 (remi-php73)
           Requires: ImageMagick6-libs(x86-64) >= 6.9.10
Error: Package: php-pecl-imagick-3.4.4-2.el7.remi.7.3.x86_64 (remi-php73)
           Requires: libMagickWand-6.Q16.so.6()(64bit)
Error: Package: php-pecl-imagick-3.4.4-2.el7.remi.7.3.x86_64 (remi-php73)
           Requires: libMagickCore-6.Q16.so.6()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Como el repositorio de Remi también ofrece ImageMagick versiones 6 y 7 (Remi aconseja utilizar la versión 6 ya que la 7 tiene obsoletas varias funciones que se encuentran aún en uso extendido) busqué la forma de utilizarlo para actualizar esta dependencia, logrando hacerlo de la siguiente forma:

En primer lugar eliminé el paquete ImageMagick instalado anteriormente

yum remove ImageMagick

Luego instalé IM6 del repo de Remi:

yum --enablerepo=remi install ImageMagick6

E instalé el módulo de php, que ahora no dio ningún error de dependencias:

yi php-pecl-imagick                       
(..)
Resolving Dependencies
--> Running transaction check
---> Package php-pecl-imagick.x86_64 0:3.4.4-2.el7.remi.7.3 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==============================================================================================================================================
 Package                                                      Arch                                               Version                                                          Repository                                              Size
==============================================================================================================================================
Installing:
 php-pecl-imagick                                             x86_64                                             3.4.4-2.el7.remi.7.3                                             remi-php73                                             157 k

Transaction Summary
==============================================================================================================================================
Install  1 Package

Total download size: 157 k
Installed size: 937 k
Is this ok [y/d/N]: y
Downloading packages:
php-pecl-imagick-3.4.4-2.el7.remi.7.3.x86_64.rpm                                                                                                                                                                        | 157 kB  00:00:01     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : php-pecl-imagick-3.4.4-2.el7.remi.7.3.x86_64                                                                                                                                                                                1/1 
  Verifying  : php-pecl-imagick-3.4.4-2.el7.remi.7.3.x86_64                                                                                                                                                                                1/1 

Installed:
  php-pecl-imagick.x86_64 0:3.4.4-2.el7.remi.7.3

Por último hay que reiniciar Apache para que se cargue el módulo:

sudo systemctl restart httpd

Alojado por ProNetHosting.uy